# Webhook

**Event data**

<table><thead><tr><th width="245">Parameter</th><th width="142.33333333333331">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>withdrawRequestId</td><td>String</td><td>Withdraw/Remitout request id</td></tr><tr><td>type</td><td>String</td><td>Webhook type:<br>Default value "WITHDRAW"</td></tr><tr><td>status</td><td>String</td><td>Withdraw/Remitout request status, Include:<br>PENDING: Withdraw request is waiting for approval.<br>APPROVED: Withdraw request was approved.<br>REJECTED: Withdraw request was rejected.</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Withdraw/Remitout bank swift code.</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Withdraw/Remitout bank acount number.</td></tr><tr><td>bankAccountName</td><td>String</td><td>Withdraw/Remitout bank acount name.</td></tr><tr><td>amount</td><td>Number</td><td>Amount of withdraw/remitout request in VND</td></tr><tr><td>currency</td><td>Number</td><td>(Optional) Remitout request currency</td></tr><tr><td>remitedAmount</td><td>Number</td><td>(Optional) Amount of remitout request in currency</td></tr><tr><td>collectionTransactions</td><td>Array Object</td><td><p>(Optional) List of Collection transactions envolved to withdraw/remitout request.<br>Object data:</p><pre class="language-postman_json"><code class="lang-postman_json">{
  "virtualAccountId": String,
  "reconcileCode": String,
  "transId": String,
  "amount": Number,
  "transDate": String
}
</code></pre></td></tr><tr><td>secureHash</td><td><p>String</p><p>(Base64)</p></td><td>Use SHA256 to hash the above parameters (Not include optional params) (sort the key by Alphabet order) + Secret Key (configured on Merchant Portal, in the Collection service menu)</td></tr></tbody></table>

### Sample data

```json
{
  "requestId": "CASHOUT-443826686072",
  "type": "WITHDRAW",
  "status": "PENDING",
  "bankSwiftCode": "SCBLSG22XXX",
  "bankAccountNumber": "0107201111",
  "bankAccountName": "STANDARD CHARTERED BANK TEST ACCOUNT",
  "amount": 150000,
  "currency": "USD",
  "destinationAmount": 5.91,
  "fxRate": 25380.71,
  "collectionTransactions": [{
    "virtualAccountId": "96988900021615",
    "reconcileCode": "TH-13122024-SUMTIN",
    "transId": "FT24323L4AAA",
    "amount": 100000,
    "transDate": "2024-12-12T02:47:05.409Z"
  }, {
    "virtualAccountId": "96988900021615",
    "reconcileCode": "TH-13122024-SUMTIN",
    "transId": "FT24323L4ZZZ",
    "amount": 50000,
    "transDate": "2024-12-09T02:47:05.409Z"
  }],
  "secureHash": "I/M2Y6rsb1x+hImL1fEBr4WHQpk6OJ8jUN4X2F3OM4Q="
}
```

With the secretKey "SUMTING", the string used to create secureHash will be:

```
150000STANDARD CHARTERED BANK TEST ACCOUNT0107201111SCBLSG22XXX100000TH-13122024-SUMTIN2024-12-12T02:47:05.409ZFT24323L4AAA9698890002161550000TH-13122024-SUMTIN2024-12-09T02:47:05.409ZFT24323L4ZZZ96988900021615USD5.9125380.71CASHOUT-443826686072PENDINGWITHDRAWSUMTING
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/withdraw-request-management/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
